> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/media.md).

# Media

- [Media Library](https://docs.xibosignage.com/media/media_library.md): Xibo supports a wide variety of media types, from Widgets which are created and stored directly on Layouts and Playlists to file-based media that is uploaded and stored in the CMS Library.
- [Playlists](https://docs.xibosignage.com/media/media_playlists.md): Playlists are used to show a sequence of media items, such as an image slideshow.
- [DataSets](https://docs.xibosignage.com/media/media_datasets.md): DataSets are used to design and store tabular data which are created and managed independently to Layouts and Playlists.
- [Menu Boards](https://docs.xibosignage.com/media/media_menuboards.md): The Menu Boards interface provides a simple way for users to create and manage 'categories' and 'product' information independently to Layouts.
- [Dashboard Service](https://docs.xibosignage.com/media/media_dashboard_service.md): This service is a commercial feature allowing users to securely display dashboard services; Microsoft Power BI, Grafana and Matomo, on Layouts with automation and authentication handled by Xibo.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/media.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
